#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( templates )
add_subdirectory( subclassing_template )
add_subdirectory( newclass_templates )
add_subdirectory( file_templates )
add_subdirectory( app_templates )
add_subdirectory( compiler )
add_subdirectory( pcsimporter )
add_subdirectory( debugger )
add_subdirectory( doc )

add_definitions( -DAST_DEBUG )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/languages/lib/designer_integration
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/languages/lib/interfaces
  ${CMAKE_SOURCE_DIR}/languages/lib/designer_integration
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/cppparser
  ${CMAKE_SOURCE_DIR}/lib/catalog
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevcppsupport.desktop kdevcsupport.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevcppsupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevcppsupport )
install( FILES cpptemplates DESTINATION ${DATA_INSTALL_DIR}/kdevabbrev/templates )
install( FILES configuration DESTINATION ${DATA_INSTALL_DIR}/kdevcppsupport )


##### libkdevcppsupport (module) ################

tde_add_kpart( libkdevcppsupport AUTOMOC
  SOURCES
    KDevCppSupportIface.cpp KDevCppSupportIface.skel
    addattributedialog.cpp addattributedialogbase.ui
    addmethoddialog.cpp addmethoddialogbase.ui
    ast_utils.cpp backgroundparser.cpp ccconfigwidget.cpp
    ccconfigwidgetbase.ui classgeneratorconfig.cpp
    classgeneratorconfigbase.ui codeinformationrepository.cpp
    completiondebug.cpp configproblemreporter.ui
    cppcodecompletion.cpp cppcodecompletionconfig.cpp
    cppevaluation.cpp cppimplementationwidget.cpp
    cppnewclassdlg.cpp cppnewclassdlgbase.ui
    cppsplitheadersourceconfig.cpp cppsupport_utils.cpp
    cppsupportfactory.cpp cppsupportpart.cpp
    creategettersetter.ui creategettersetterconfiguration.cpp
    creategettersetterconfiguration.h
    creategettersetterdialog.cpp creategettersetterdialog.h
    createpcsdialog.cpp createpcsdialogbase.ui
    doxydoc.cpp includefiles.cpp includepathresolver.cpp
    kdevdriver.cpp problemreporter.cpp qtbuildconfig.cpp
    qtdesignercppintegration.cpp setuphelper.cpp
    simplecontext.cpp simpletype.cpp simpletypecatalog.cpp
    simpletypefunction.cpp simpletypenamespace.cpp
    store_walker.cpp storeconverter.cpp stringhelpers.cpp
    subclassingdlg.cpp subclassingdlgbase.ui tag_creator.cpp
    typedesc.cpp
  LINK
    lang_interfaces-shared kdevcppparser-shared
    kdevcatalog-shared designerintegration-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
